[tool.poetry]
name = "examination-service"
version = "0.8.41"
description = "Examination Service stores examinations for cases containing jobs"
authors = ["Klaus Strohmenger <klaus.strohmenger@charite.de>"]
license = "MIT"

[tool.poetry.dependencies]
python = "^3.12"
fastapi = "^0.115.0"
typer = "^0.15.0"
asyncpg = "^0.30.0"
requests = "^2.26.0"
rsa = "^4.8"
PyJWT = "^2.3.0"
cryptography = "^44.0.0"
uvicorn = "^0.34.0"
pydantic = "^2.5.0"
pydantic-settings = "^2.0.2"

[tool.poetry.scripts]
esctl = 'examination_service.ctl.app:app'

[tool.poetry.group.dev.dependencies]
black = { version = "^25.0.0", allow-prereleases = true }
pylint = "^3.2.6"
isort = "^6.0.0"
pytest = "^8.3.2"
pycodestyle = "^2.12.1"
rope = "^1.13.0"
pytest-dotenv = "^0.5.2"

[tool.black]
line-length = 120

[tool.pylint."MASTER"]
ignored-modules = ["pydantic"]

[tool.pylint."MESSAGES CONTROL"]
max-line-length = 120
disable = "R,C,W0613,E0213,W3101"
[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"

[tool.isort]
line_length = 120
profile = "black"
multi_line_output = 3
include_trailing_comma = true
